public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagstamon/
Date: Sun, 19 May 2024 07:16:15 +0000 (UTC)	[thread overview]
Message-ID: <1716102963.e277a262ecb32e193bce510ec4f0b89a1f2154bb.graaff@gentoo> (raw)

commit:     e277a262ecb32e193bce510ec4f0b89a1f2154bb
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 07:14:51 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May 19 07:16:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e277a262

net-analyzer/nagstamon: use qt6 USE flag

This also drops x86 since that does not have PyQt6 keyworded.

Closes: https://bugs.gentoo.org/931957
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 net-analyzer/nagstamon/nagstamon-3.14.0-r1.ebuild | 72 +++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/net-analyzer/nagstamon/nagstamon-3.14.0-r1.ebuild b/net-analyzer/nagstamon/nagstamon-3.14.0-r1.ebuild
new file mode 100644
index 000000000000..1458041bbc81
--- /dev/null
+++ b/net-analyzer/nagstamon/nagstamon-3.14.0-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit desktop distutils-r1 virtualx
+
+distutils_enable_tests pytest
+
+MY_PN="Nagstamon"
+MY_P="${MY_PN}-${PV/_p/-}"
+
+DESCRIPTION="systray monitor for displaying realtime status of several monitoring systems"
+HOMEPAGE="https://nagstamon.de"
+SRC_URI="https://github.com/HenriWahl/Nagstamon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="qt6 test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	dev-python/lxml[${PYTHON_USEDEP}]
+	qt6? (  dev-python/PyQt6[gui,multimedia,svg,widgets,${PYTHON_USEDEP}] )
+	!qt6? (	dev-python/PyQt5[gui,multimedia,svg,widgets,${PYTHON_USEDEP}] )
+	dev-python/PySocks[${PYTHON_USEDEP}]
+	dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/keyring[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	dev-python/secretstorage[${PYTHON_USEDEP}]
+	>=dev-python/python-xlib-0.19[${PYTHON_USEDEP}]
+	dev-python/requests-kerberos[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pylint[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}/${PN}-3.14.0-setup.patch" )
+
+src_prepare() {
+	default_src_prepare
+
+	# pre-compressed already
+	rm Nagstamon/resources/nagstamon.1.gz || die
+	sed -e 's:\(nagstamon\.1\)\.gz:\1:' \
+		-e '/share/ s:^:#:' \
+		-i setup.py || die
+
+	mv ${PN}.py ${PN} || die
+
+	rm -rf "${S}/Nagstamon/thirdparty/Xlib/" || die
+}
+
+python_test() {
+	virtx epytest
+}
+
+distutils-r1_python_install_all() {
+	default
+
+	doman Nagstamon/resources/nagstamon.1
+	domenu Nagstamon/resources/nagstamon.desktop
+	doicon Nagstamon/resources/nagstamon.svg
+}


             reply	other threads:[~2024-05-19  7:16 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-19  7:16 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-28  9:49 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagstamon/ Hans de Graaff
2024-01-28  9:49 Hans de Graaff
2023-09-19 17:48 Arthur Zamarin
2023-09-19 17:48 Arthur Zamarin
2023-07-19 11:00 Sam James
2023-07-19 10:14 Jakov Smolić
2023-06-11  9:21 Hans de Graaff
2023-02-10 21:58 Sam James
2023-02-10 21:58 Sam James
2022-12-11  8:11 Hans de Graaff
2022-05-22 12:22 Jakov Smolić
2022-05-22  1:48 Sam James
2022-05-21  9:20 Hans de Graaff
2022-05-20  2:09 Matthew Thode
2021-12-30 13:21 Christian Ruppert
2021-04-07  6:14 Hans de Graaff
2021-03-07  9:41 Hans de Graaff
2020-09-21  7:49 Hans de Graaff
2020-09-07  0:50 Thomas Deutschmann
2020-03-16 18:55 Michał Górny
2020-01-29 10:42 Christian Ruppert
2019-01-07 15:38 Christian Ruppert
2018-12-20 10:16 Christian Ruppert
2018-07-12 13:28 Michał Górny
2017-10-12  9:30 Christian Ruppert
2017-09-21  7:23 Christian Ruppert
2017-07-12 14:43 Pacho Ramos
2017-06-16 14:10 Agostino Sarubbo
2017-04-23 11:29 David Seifert
2015-08-20 19:45 Christian Ruppert
2015-08-20 19:45 Christian Ruppert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716102963.e277a262ecb32e193bce510ec4f0b89a1f2154bb.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox